macOS 10.13 and xCode 9 compatibility?

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

macOS 10.13 and xCode 9 compatibility?

Tom Glod via use-livecode
Hi All,

Just checking on macOS 10.13 and xCode 9 compatibility… Anyone run into any issues with 10.13 and AFPS? Has LC been updated for compatibility with xCode 9?

TIA,

Steve MacLean




_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: macOS 10.13 and xCode 9 compatibility?

Tom Glod via use-livecode
Hi Stephen,

No, support for Xcode9 has not been added yet. We have a pending PR for
that, so it will appear in the next 8.1.7 RC2 release.

Important note: You do NOT need to rebuild your apps with xcode 9 if you
want them to run on iOS 11. This will happen seamlessly (remember that in
the standalone settings, you choose e.g. "iOS 9.3 or later").

https://forums.livecode.com/viewtopic.php?f=49&t=29783
https://forums.livecode.com/viewtopic.php?f=49&t=29779

Best,
Panos
--

On Thu, Sep 28, 2017 at 1:14 PM, Stephen MacLean via use-livecode <
[hidden email]> wrote:

> Hi All,
>
> Just checking on macOS 10.13 and xCode 9 compatibility… Anyone run into
> any issues with 10.13 and AFPS? Has LC been updated for compatibility with
> xCode 9?
>
> TIA,
>
> Steve MacLean
>
>
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode
_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: macOS 10.13 and xCode 9 compatibility?

Tom Glod via use-livecode
Hi Panos,

Thanks for the quick reply! I take it that support will be rolled into the next DP release of 9.0 as well?

Note to all, keep a copy of xCode 8.x and rename it before updating to xCode 9.

Any word on macOS 10.13? Anyone have issues with AFPS?

Best,

Steve MacLean

> On Sep 28, 2017, at 8:21 AM, panagiotis merakos via use-livecode <[hidden email]> wrote:
>
> Hi Stephen,
>
> No, support for Xcode9 has not been added yet. We have a pending PR for
> that, so it will appear in the next 8.1.7 RC2 release.
>
> Important note: You do NOT need to rebuild your apps with xcode 9 if you
> want them to run on iOS 11. This will happen seamlessly (remember that in
> the standalone settings, you choose e.g. "iOS 9.3 or later").
>
> https://forums.livecode.com/viewtopic.php?f=49&t=29783
> https://forums.livecode.com/viewtopic.php?f=49&t=29779
>
> Best,
> Panos
> --
>
> On Thu, Sep 28, 2017 at 1:14 PM, Stephen MacLean via use-livecode <
> [hidden email]> wrote:
>
>> Hi All,
>>
>> Just checking on macOS 10.13 and xCode 9 compatibility… Anyone run into
>> any issues with 10.13 and AFPS? Has LC been updated for compatibility with
>> xCode 9?
>>
>> TIA,
>>
>> Steve MacLean
>>
>>
>>
>>
>> _______________________________________________
>> use-livecode mailing list
>> [hidden email]
>> Please visit this url to subscribe, unsubscribe and manage your
>> subscription preferences:
>> http://lists.runrev.com/mailman/listinfo/use-livecode
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode



_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: macOS 10.13 and xCode 9 compatibility?

Tom Glod via use-livecode
Hi Steve,

Yes, that support will be rolled into the next DP release of 8.2 and 9.0 as
well.

Regarding macOS High Sierra, I had installed one of its betas in a
partition, and I did not notice any issues.

I think several community members use 10.13 and have no issues so far.

Best regards,
Panos
--

On Thu, Sep 28, 2017 at 1:48 PM, Stephen MacLean via use-livecode <
[hidden email]> wrote:

> Hi Panos,
>
> Thanks for the quick reply! I take it that support will be rolled into the
> next DP release of 9.0 as well?
>
> Note to all, keep a copy of xCode 8.x and rename it before updating to
> xCode 9.
>
> Any word on macOS 10.13? Anyone have issues with AFPS?
>
> Best,
>
> Steve MacLean
>
> > On Sep 28, 2017, at 8:21 AM, panagiotis merakos via use-livecode <
> [hidden email]> wrote:
> >
> > Hi Stephen,
> >
> > No, support for Xcode9 has not been added yet. We have a pending PR for
> > that, so it will appear in the next 8.1.7 RC2 release.
> >
> > Important note: You do NOT need to rebuild your apps with xcode 9 if you
> > want them to run on iOS 11. This will happen seamlessly (remember that in
> > the standalone settings, you choose e.g. "iOS 9.3 or later").
> >
> > https://forums.livecode.com/viewtopic.php?f=49&t=29783
> > https://forums.livecode.com/viewtopic.php?f=49&t=29779
> >
> > Best,
> > Panos
> > --
> >
> > On Thu, Sep 28, 2017 at 1:14 PM, Stephen MacLean via use-livecode <
> > [hidden email]> wrote:
> >
> >> Hi All,
> >>
> >> Just checking on macOS 10.13 and xCode 9 compatibility… Anyone run into
> >> any issues with 10.13 and AFPS? Has LC been updated for compatibility
> with
> >> xCode 9?
> >>
> >> TIA,
> >>
> >> Steve MacLean
> >>
> >>
> >>
> >>
> >> _______________________________________________
> >> use-livecode mailing list
> >> [hidden email]
> >> Please visit this url to subscribe, unsubscribe and manage your
> >> subscription preferences:
> >> http://lists.runrev.com/mailman/listinfo/use-livecode
> > _______________________________________________
> > use-livecode mailing list
> > [hidden email]
> > Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> > http://lists.runrev.com/mailman/listinfo/use-livecode
>
>
>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode
>
_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode
Reply | Threaded
Open this post in threaded view
|

Re: macOS 10.13 and xCode 9 compatibility?

Tom Glod via use-livecode
Thanks Panos!

> On Sep 28, 2017, at 10:04 AM, panagiotis merakos via use-livecode <[hidden email]> wrote:
>
> Hi Steve,
>
> Yes, that support will be rolled into the next DP release of 8.2 and 9.0 as
> well.
>
> Regarding macOS High Sierra, I had installed one of its betas in a
> partition, and I did not notice any issues.
>
> I think several community members use 10.13 and have no issues so far.
>
> Best regards,
> Panos
> --
>
> On Thu, Sep 28, 2017 at 1:48 PM, Stephen MacLean via use-livecode <
> [hidden email]> wrote:
>
>> Hi Panos,
>>
>> Thanks for the quick reply! I take it that support will be rolled into the
>> next DP release of 9.0 as well?
>>
>> Note to all, keep a copy of xCode 8.x and rename it before updating to
>> xCode 9.
>>
>> Any word on macOS 10.13? Anyone have issues with AFPS?
>>
>> Best,
>>
>> Steve MacLean
>>
>>> On Sep 28, 2017, at 8:21 AM, panagiotis merakos via use-livecode <
>> [hidden email]> wrote:
>>>
>>> Hi Stephen,
>>>
>>> No, support for Xcode9 has not been added yet. We have a pending PR for
>>> that, so it will appear in the next 8.1.7 RC2 release.
>>>
>>> Important note: You do NOT need to rebuild your apps with xcode 9 if you
>>> want them to run on iOS 11. This will happen seamlessly (remember that in
>>> the standalone settings, you choose e.g. "iOS 9.3 or later").
>>>
>>> https://forums.livecode.com/viewtopic.php?f=49&t=29783
>>> https://forums.livecode.com/viewtopic.php?f=49&t=29779
>>>
>>> Best,
>>> Panos
>>> --
>>>
>>> On Thu, Sep 28, 2017 at 1:14 PM, Stephen MacLean via use-livecode <
>>> [hidden email]> wrote:
>>>
>>>> Hi All,
>>>>
>>>> Just checking on macOS 10.13 and xCode 9 compatibility… Anyone run into
>>>> any issues with 10.13 and AFPS? Has LC been updated for compatibility
>> with
>>>> xCode 9?
>>>>
>>>> TIA,
>>>>
>>>> Steve MacLean
>>>>
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> use-livecode mailing list
>>>> [hidden email]
>>>> Please visit this url to subscribe, unsubscribe and manage your
>>>> subscription preferences:
>>>> http://lists.runrev.com/mailman/listinfo/use-livecode
>>> _______________________________________________
>>> use-livecode mailing list
>>> [hidden email]
>>> Please visit this url to subscribe, unsubscribe and manage your
>> subscription preferences:
>>> http://lists.runrev.com/mailman/listinfo/use-livecode
>>
>>
>>
>> _______________________________________________
>> use-livecode mailing list
>> [hidden email]
>> Please visit this url to subscribe, unsubscribe and manage your
>> subscription preferences:
>> http://lists.runrev.com/mailman/listinfo/use-livecode
>>
> _______________________________________________
> use-livecode mailing list
> [hidden email]
> Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode



_______________________________________________
use-livecode mailing list
[hidden email]
Please visit this url to subscribe, unsubscribe and manage your subscription preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode